/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { InvokeInput } from '../types/InvokeInput';
import { InvokeOutput } from '../types/InvokeOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class InvokeCommand implements __aws_sdk_types.Command<InputTypesUnion, InvokeInput, OutputTypesUnion, InvokeOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: InvokeInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InvokeInput, InvokeOutput, _stream.Readable>;
    constructor(input: InvokeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<InvokeInput, InvokeOutput>;
}
