"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAliasInput_1 = require("./CreateAliasInput");
var CreateAliasOutput_1 = require("./CreateAliasOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var ResourceConflictException_1 = require("./ResourceConflictException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.CreateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'CreateAlias',
    http: {
        method: 'POST',
        requestUri: '/2015-03-31/functions/{FunctionName}/aliases',
    },
    input: {
        shape: CreateAliasInput_1.CreateAliasInput,
    },
    output: {
        shape: CreateAliasOutput_1.CreateAliasOutput,
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException,
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException,
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException,
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException,
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException,
        },
    ],
};
//# sourceMappingURL=CreateAlias.js.map