"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAliasInput_1 = require("./GetAliasInput");
var GetAliasOutput_1 = require("./GetAliasOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.GetAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'GetAlias',
    http: {
        method: 'GET',
        requestUri: '/2015-03-31/functions/{FunctionName}/aliases/{Name}',
    },
    input: {
        shape: GetAliasInput_1.GetAliasInput,
    },
    output: {
        shape: GetAliasOutput_1.GetAliasOutput,
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException,
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException,
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException,
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException,
        },
    ],
};
//# sourceMappingURL=GetAlias.js.map