"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateEventSourceMappingInput_1 = require("./UpdateEventSourceMappingInput");
var UpdateEventSourceMappingOutput_1 = require("./UpdateEventSourceMappingOutput");
var ServiceException_1 = require("./ServiceException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InvalidParameterValueException_1 = require("./InvalidParameterValueException");
var TooManyRequestsException_1 = require("./TooManyRequestsException");
var ResourceConflictException_1 = require("./ResourceConflictException");
var ResourceInUseException_1 = require("./ResourceInUseException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.UpdateEventSourceMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'UpdateEventSourceMapping',
    http: {
        method: 'PUT',
        requestUri: '/2015-03-31/event-source-mappings/{UUID}',
    },
    input: {
        shape: UpdateEventSourceMappingInput_1.UpdateEventSourceMappingInput,
    },
    output: {
        shape: UpdateEventSourceMappingOutput_1.UpdateEventSourceMappingOutput,
    },
    errors: [
        {
            shape: ServiceException_1.ServiceException,
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException,
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException,
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException,
        },
        {
            shape: ResourceConflictException_1.ResourceConflictException,
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException,
        },
    ],
};
//# sourceMappingURL=UpdateEventSourceMapping.js.map